Debian Bug report logs - #328528
cpu-freq/user-guide.txt should mention Celeron

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Dan Jacobson <jidanni@jidanni.org>

Date: Thu, 15 Sep 2005 22:18:24 UTC

Severity: wishlist

Tags: fixed-upstream

Done: maximilian attems <max@stro.at>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.kernel.org/show_bug.cgi?id=12853

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mattia Dongili <malattia@debian.org>:
Bug#328528; Package cpufreqd. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cpufreqd: mention what stock kernels can use this package?
Date: Fri, 16 Sep 2005 03:18:22 +0800
Package: cpufreqd
Version: 1.2.3-3
Severity: wishlist

Upon seeing:
  Unable to find a CpuFreq interface in your kernel.
  Cpufreqd won't be started, please enable a CpuFreq driver in your kernel and
I try
# modprobe -l \*cpu*|sed s@.*/@@\;s/.ko$//|xargs -n 1 modprobe
FATAL: Error inserting acpi_cpufreq (/lib/modules/2.6.12-1-686/kernel/arch/i386/kernel/cpu/cpufreq/acpi-cpufreq.ko): No such device
FATAL: Error inserting cpufreq_nforce2 (/lib/modules/2.6.12-1-686/kernel/arch/i386/kernel/cpu/cpufreq/cpufreq-nforce2.ko): No such device
# lsmod|grep cpu
cpuid                   3076  0
cpu5wdt                 5564  0
cpufreq_conservative     7140  0
cpufreq_ondemand        6076  0
cpufreq_powersave       1664  0
cpufreq_stats           4740  0
freq_table              4516  1 cpufreq_stats
cpufreq_userspace       4508  0

I therefore have tried my best to
"enable a CpuFreq driver in your kernel"
# dlocate Cpufreq
gives nothing, so it can't be a lowercase / uppercase problem.

Anyway, if in fact it is a kernel problem, please reassign this bug there.
I only use stock kernels.
-- System Information:
Debian Release: testing/unstable
Kernel: Linux 2.6.12-1-686



Information forwarded to debian-bugs-dist@lists.debian.org, Mattia Dongili <malattia@debian.org>:
Bug#328528; Package cpufreqd. Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@linux.it>:
Extra info received and forwarded to list. Copy sent to Mattia Dongili <malattia@debian.org>. Full text and rfc822 format available.

Message #8 received at 328528@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@linux.it>
To: Dan Jacobson <jidanni@jidanni.org>, 328528@bugs.debian.org
Subject: Re: Bug#328528: cpufreqd: mention what stock kernels can use this package?
Date: Fri, 16 Sep 2005 12:21:34 +0200
On Fri, Sep 16, 2005 at 03:18:22AM +0800, Dan Jacobson wrote:
> Package: cpufreqd
> Version: 1.2.3-3
> Severity: wishlist
> 
> Upon seeing:
>   Unable to find a CpuFreq interface in your kernel.
>   Cpufreqd won't be started, please enable a CpuFreq driver in your kernel and
[...]
> Anyway, if in fact it is a kernel problem, please reassign this bug there.

It's neither a cpufreqd nor (probably) a kernel bug, just some missing
configuration on your side.
Cpu frequency scaling must be supported by your hardware,

> I only use stock kernels.

then you should have everything you need, just look into (assuming i386
architecture) /lib/modules/`uname -r`/kernel/arch/i386/kernel/cpu/cpufreq
and match any of the driver to you CPU (see cat /proc/cpuinfo).

If you are sure that you have a cpu that supports frequency/voltage
scaling and a driver is present but doesn't work then it's a kernel
problem (please reassing to the binary kernel version you're using along
with the contents of /proc/cpuinfo).

If a different userspace tool (like cpufrequtils' cpufreq-info or
cpuspeed or powernowd) is working then it's a cpufreqd bug (I'll then
need to ask you some more informations).

regards
-- 
mattia
:wq!



Information forwarded to debian-bugs-dist@lists.debian.org, Mattia Dongili <malattia@debian.org>:
Bug#328528; Package cpufreqd. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
Extra info received and forwarded to list. Copy sent to Mattia Dongili <malattia@debian.org>. Full text and rfc822 format available.

Message #13 received at 328528@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: 328528@bugs.debian.org
Subject: can Celeron M scale frequency?
Date: Wed, 21 Sep 2005 06:54:23 +0800
/proc/cpuinfo says Intel(R) Celeron(R) M processor 1.40GHz

M> If you are sure that you have a cpu that supports frequency/voltage
M> scaling

I'm not sure, however the M is for Mobile, and it's the newest IBM
Thinkpad.  Can you tell me if there is any hope for this model?

M> and a driver is present but doesn't work then it's a kernel

Maybe there just is no driver ready?
$ dlocate celeron
finds nothing, unlike
$ dlocate centrino



Information forwarded to debian-bugs-dist@lists.debian.org, Mattia Dongili <malattia@debian.org>:
Bug#328528; Package cpufreqd. Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@linux.it>:
Extra info received and forwarded to list. Copy sent to Mattia Dongili <malattia@debian.org>. Full text and rfc822 format available.

Message #18 received at 328528@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@linux.it>
To: Dan Jacobson <jidanni@jidanni.org>, 328528@bugs.debian.org
Subject: Re: Bug#328528: can Celeron M scale frequency?
Date: Wed, 21 Sep 2005 12:39:07 +0200
On Wed, Sep 21, 2005 at 06:54:23AM +0800, Dan Jacobson wrote:
> /proc/cpuinfo says Intel(R) Celeron(R) M processor 1.40GHz
> 
> M> If you are sure that you have a cpu that supports frequency/voltage
> M> scaling
> 
> I'm not sure, however the M is for Mobile, and it's the newest IBM
> Thinkpad.  Can you tell me if there is any hope for this model?

Documentation/cpu-freq/user-guide.txt in my kernel tree says:
,--------------------------------
| 1. Supported Architectures and Processors
| =========================================
| ...
| 1.2 x86
| -------
| 
| The following processors for the x86 architecture are supported by
| cpufreq:
| ...
| Intel mobile PIII and Intel mobile PIII-M on certain chipsets
| Intel Pentium 4, Intel Xeon
| Intel Pentium M (Centrino)
| ...
`--------------------------------
so it seems it's not supported natively. You can try the acpi-cpufreq
driver that works on most modern laptops.

Some friendly remarks:
- "newest IBM Thinkpad" doesn't say much, if you tell the exact model
  one could browse the ibm website to look at the full laptop specs
- it's not a cpufreqd (note the trailing 'd') problem :)
- a better place to ask such questions is the debian-user or better the
  debian-laptop mailing list

I'll close the bug later, if you still have problems feel free to take
some further actions following the guidelines I gave you in this and
previous mail :)

Friendly,
-- 
mattia
:wq!



Information forwarded to debian-bugs-dist@lists.debian.org, Mattia Dongili <malattia@debian.org>:
Bug#328528; Package cpufreqd. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
Extra info received and forwarded to list. Copy sent to Mattia Dongili <malattia@debian.org>. Full text and rfc822 format available.

Message #23 received at 328528@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: 328528@bugs.debian.org
Cc: linux@brodo.de
Subject: Re: Bug#328528: can Celeron M scale frequency?
Date: Wed, 28 Sep 2005 05:13:03 +0800
cpu-freq/user-guide.txt should mention Celeron! Otherwise Celeron
users will have little hope of figuring out what to put in /etc/modules.

After running http://www.plenz.com/linux/thinkpad_R50e thru a
translator, it is clear user-guide.txt should mention that Celeron M
users should put p4_clockmod, cpufreq_userspace, speedstep_lib into
/etc/modules, one per line.



Information forwarded to debian-bugs-dist@lists.debian.org, Mattia Dongili <malattia@debian.org>:
Bug#328528; Package cpufreqd. Full text and rfc822 format available.

Acknowledgement sent to Dominik Brodowski <linux@dominikbrodowski.net>:
Extra info received and forwarded to list. Copy sent to Mattia Dongili <malattia@debian.org>. Full text and rfc822 format available.

Message #28 received at 328528@bugs.debian.org (full text, mbox):

From: Dominik Brodowski <linux@dominikbrodowski.net>
To: Dan Jacobson <jidanni@jidanni.org>
Cc: 328528@bugs.debian.org
Subject: Re: Bug#328528: can Celeron M scale frequency?
Date: Wed, 28 Sep 2005 15:28:12 +0200
On Wed, Sep 28, 2005 at 05:13:03AM +0800, Dan Jacobson wrote:
> cpu-freq/user-guide.txt should mention Celeron! Otherwise Celeron
> users will have little hope of figuring out what to put in /etc/modules.
> 
> After running http://www.plenz.com/linux/thinkpad_R50e thru a
> translator, it is clear user-guide.txt should mention that Celeron M
> users should put p4_clockmod, cpufreq_userspace, speedstep_lib into
> /etc/modules, one per line.

Well, p4_clockmod will not allow your notebook to run longer on battery
power. That's why "Pentium M" is so much more expensive than "Celeron M"s:
only Pentiums can do CPU frequency and voltage scaling. Throttling can be
done by both, but that doesn't save you anything under normal circumstances.

	Dominik



Information forwarded to debian-bugs-dist@lists.debian.org, Mattia Dongili <malattia@debian.org>:
Bug#328528; Package cpufreqd. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
Extra info received and forwarded to list. Copy sent to Mattia Dongili <malattia@debian.org>. Full text and rfc822 format available.

Message #33 received at 328528@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: 328528@bugs.debian.org
Subject: Re: Bug#328528: can Celeron M scale frequency?
Date: Sat, 01 Oct 2005 05:37:19 +0800
D> only Pentiums can do CPU frequency and voltage scaling

Well all I know is I was successfully able at least to slow down
programs with /sys/devices/system/cpu/cpu0/cpufreq stuff, and also
more with throttling, and even more still with both at the same time.



Information forwarded to debian-bugs-dist@lists.debian.org, Mattia Dongili <malattia@debian.org>:
Bug#328528; Package cpufreqd. Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@linux.it>:
Extra info received and forwarded to list. Copy sent to Mattia Dongili <malattia@debian.org>. Full text and rfc822 format available.

Message #38 received at 328528@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@linux.it>
To: 328528@bugs.debian.org
Cc: Dan Jacobson <jidanni@jidanni.org>, BTS Control <control@bugs.debian.org>
Subject: Re: Bug#328528: can Celeron M scale frequency?
Date: Sat, 1 Oct 2005 13:26:33 +0200
retitile 328528 cpu-freq/user-guide.txt should mention Celeron
reassign 328528 linux-doc-2.6.12
forwarded 328528 Dominik Brodowski <linux at dominikbrodowski dot net>
thanks

On Wed, Sep 28, 2005 at 03:28:12PM +0200, Dominik Brodowski wrote:
> On Wed, Sep 28, 2005 at 05:13:03AM +0800, Dan Jacobson wrote:
> > cpu-freq/user-guide.txt should mention Celeron! Otherwise Celeron
> > users will have little hope of figuring out what to put in /etc/modules.
> > 
> > After running http://www.plenz.com/linux/thinkpad_R50e thru a
> > translator, it is clear user-guide.txt should mention that Celeron M
> > users should put p4_clockmod, cpufreq_userspace, speedstep_lib into
> > /etc/modules, one per line.
> 
> Well, p4_clockmod will not allow your notebook to run longer on battery
> power. That's why "Pentium M" is so much more expensive than "Celeron M"s:
> only Pentiums can do CPU frequency and voltage scaling. Throttling can be
> done by both, but that doesn't save you anything under normal circumstances.

and this has definitely nothing to do with cpufreqd :)
Dan, I also think that the same suggestion as #330402 applies ("Could
you please draft an amendment...")

thanks
-- 
mattia
:wq!



Bug reassigned from package `cpufreqd' to `linux-doc-2.6.12'. Request was from Mattia Dongili <malattia@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to Dominik Brodowski <linux at dominikbrodowski dot net>. Request was from Mattia Dongili <malattia@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Mattia Dongili <malattia@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `linux-doc-2.6.12' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#328528; Package linux-2.6. (Mon, 09 Mar 2009 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 09 Mar 2009 14:24:03 GMT) Full text and rfc822 format available.

Message #51 received at 328528@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Dan Jacobson <jidanni@jidanni.org>
Cc: 328528@bugs.debian.org
Subject: Re: cpu-freq/user-guide.txt should mention Celeron
Date: Mon, 9 Mar 2009 15:22:49 +0100
please submit to bugzilla.kernel.org,
so that upstream gets notified.

thanks

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#328528; Package linux-2.6. (Wed, 11 Mar 2009 01:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 11 Mar 2009 01:03:02 GMT) Full text and rfc822 format available.

Message #56 received at 328528@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: max@stro.at
Cc: 328528@bugs.debian.org
Subject: Re: cpu-freq/user-guide.txt should mention Celeron
Date: Wed, 11 Mar 2009 08:59:46 +0800
OK, submitted http://bugzilla.kernel.org/show_bug.cgi?id=12853




Forwarded-to-address changed from Dominik Brodowski <linux at dominikbrodowski dot net> to http://bugzilla.kernel.org/show_bug.cgi?id=12853. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Wed, 11 Mar 2009 12:51:03 GMT) Full text and rfc822 format available.

Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 23 Mar 2009 20:45:14 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. (Tue, 24 Mar 2009 02:36:06 GMT) Full text and rfc822 format available.

Notification sent to Dan Jacobson <jidanni@jidanni.org>:
Bug acknowledged by developer. (Tue, 24 Mar 2009 02:36:06 GMT) Full text and rfc822 format available.

Message #65 received at 328528-done@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: 328528-done@bugs.debian.org
Subject: Re: cpu-freq/user-guide.txt should mention Celeron
Date: Tue, 24 Mar 2009 03:32:46 +0100
upstream rejected with good rationale, thus closing.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 21 Apr 2009 07:30:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:31:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.